#!/bin/sh
# NAME   : compile.sh
#
# AUTHOR : Vaidehi
#
# INPUT  : -DNEIGHBORING_NODES (optional). Default = 2
#             Number of neighbouring nodes to the Sender
#          -DSENDER_MSG_SPLIT_COUNT (optional). Default = 2
#             Number of times the message to be split at the sender
#          -DLEVELS (optional). Default = 2
#             Depth of path between the Sender and the Router 
#          -DNO_ALARM (optional). Default = 0
#             If set to 0, program generated alarm system would kill 
#             intermediate routers.
#             If set to 1, intermediate routers are not killed.
#          -DEXP_DIST_MEAN (optional). Default = 50
#             Mean time given to the Exponential distribution function that
#             determines the alarm time to kill the intermediate router nodes.
#
# OUTPUT : Compiled binary
#
# NOTES  : None at this time
#

if [ "x$MANETS_HOME" = "x" ]; then
  echo "MANETS_HOME env is not set. Please set it and re-run the command."
  exit 1
fi

CFLAGS="-g"
LDFLAGS="-lgmp -lpthread -lrt -lgsl -lgslcblas"
EXECUTABLE="$MANETS_HOME/thesis/bin/manets_simulation"
SRC="$MANETS_HOME/thesis/src/manets_simulation.c"
EXTRAFLAGS="$*"

echo "Compile cmd: gcc $CFLAGS $LDFLAGS $EXTRAFLAGS -o $EXECUTABLE $SRC"
gcc $CFLAGS $LDFLAGS $EXTRAFLAGS -o $EXECUTABLE $SRC

